<!DOCTYPE html>
<html>

<head>
	<meta charset='UTF-8'>
	
	<title>Load More Sidebar</title>
	
	<link rel='stylesheet' href='css/style.css'>
	
	<script src='http://ajax.googleapis.com/ajax/libs/jquery/1.4.4/jquery.min.js'></script>
	<script>
	
		// DOM Ready
		$(function() {
		
			var mainContent = $("#main-content"),         /* "Caching" */
			    height      = mainContent.outerHeight(),
			    aside       = $("aside"),
			    module      = 1,                           /* Start with the first, increments */
			    buffer      = 80,                          /* To prevent sidebar from growing way taller than main content if it's only barely shorter */
			    done        = false;                       /* If no more modules to be had */ 
			       
			function getMoreContent() {
					
				$.get("sidebarmodule.php", { "module": module }, function(data) {
					
					if (data != "No more modules") {
					
						// Increment # so next time it will grab a differnet module
						module++;
					
						// Create sidebar box
						$("<div />", {
						
							"class"  : "sidebar-box",
							"id"     : "sidebar-box-" + module,
							"html"   : data,
							"css"    : {
								"position": "relative",
								"left": 25
							}
						
						// Fancy revealing of new content
						}).hide().appendTo(aside).fadeIn(200, function() {
							$(this).animate({
								"left": 0
							});
						});
						
						// If after getting new module, sidebar is still too short, start over					
						if ((height > (aside.outerHeight() + buffer)) && !done) {
							getMoreContent();
						}
					
					}
				
				});
			
			}
			
			// Initial test			
			if (height > (aside.outerHeight() + buffer)) {
				getMoreContent();
			}	
		
		});
	</script>
</head>

<body>

	<div id="page-wrap">
	
		<div id="main-content">
	
			<h1>Load More Content to Fill Sidebar</h1>
			
			<p><strong>JavaScript tests the height of the content and sidebar. If there is room in the sidebar, content is loaded dynamically but only until the heights are about the same.</strong></p>
			
			<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>
			
			<p>Xames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>
			
		</div>
		
		<aside>
		
			<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>
		
		</aside>
	
	</div>
	
</body>

</html>